{# Navigation bar #}

{% trans_default_domain 'Common' %}

<div id="usermenu">
    {% if app.user %}
        <span>
            <a href="{{ path('user', {'id' : app.user.id}) }}"
               onmouseover="showTip(this, 'Fiche joueur', 'Voir votre fiche joueur.');"
               onmouseout="hideTip()">{{ app.user.displayName }}
            </a>
        </span>
        {#
        <span>
            <a href="{{ path('collection') }}"
               onmouseover="showTip(this,
                       '{{ 'navbar.collection.tooltip.title' | trans }}',
                       '{{ 'navbar.collection.tooltip.message' | trans({'%total%' : 0, '%available%' : 0, '%trade%' : 0 }) }}'
                       );"
               onmouseout="hideTip()">
                {{ 'navbar.collection.text' | trans({'%count%' : 0 }) }}
            </a>
        </span>
        #}
    {% endif %}
    {#
    <span>
        <a href="/user/booster" onmouseover="showTip(this,'Vos boosters', 'Cliquez pour acheter de nouveaux boosters ou ouvrir les vôtres.');" onmouseout="hideTip()">
			0 booster
	</a>
    </span>
    <span>
        <a href="#" onclick="cstart();" onmouseover="showTip(this,'Vos tokens', 'Total : <b>0</b><br />Disponibles : <b>0</b><br />Cliquez pour obtenir davantage de tokens.');" onmouseout="hideTip()">
		<img class="icon" alt="icon token" src="http://data.dinocard.net/gfx/icons/icon_token.gif">
	 x 0</a>
    </span>
    <span>
        <a href="/user/wishList" onmouseover="showTip(this,'Cartes recherchées', 'Cartes recherchées actuellement : <b>1</b>. <br />Ces cartes sont consultables par les autres joueurs sur votre fiche.');" onmouseout="hideTip()">
			1 carte
			recherchée
	</a>
    </span>
    #}
    {% if app.user %}
        <span>
            <a href="https://eternal-twin.net/settings" onmouseover="showTip(this,'Mon compte', 'Gérer vos informations personnelles.');" onmouseout="hideTip()">Mon compte</a>
        </span>
    {% endif %}
    {#
    <span>
        <a href="/forum/fThread?id=964729" onmouseover="showTip(this,'Outils externes', 'Liste des outils disponibles, créés par les joueurs.');" onmouseout="hideTip()">Outils externes</a>
    </span>
    #}
    <span>
        <a style="color:#41ff3a" href="{{ path('fightRandom') }}" onmouseover="showTip(this, 'Combat aléatoire', 'Lance un combat aléatoire entre deux presets.');" onmouseout="hideTip()">Combat aléatoire</a>
    </span>
    <span>
        <a style="color:#41ff3a" href="{{ path('deckPresetsSelector') }}"
           onmouseover="showTip(this, '{{ 'navbar.fightWithPresets.tooltip.title' | trans }}', '{{ 'navbar.fightWithPresets.tooltip.message' | trans }}');"
           onmouseout="hideTip()">
            {{ 'navbar.fightWithPresets.text' | trans }}
        </a>
    </span>
    <span>
        <a style="color:#41ff3a" href="{{ path('debugAllCards') }}"
           onmouseover="showTip(this, '{{ 'navbar.playableCards.text' | trans }}', '{{ 'navbar.playableCards.tooltip.message' | trans }}');"
           onmouseout="hideTip()">
            {{ 'navbar.playableCards.text' | trans }}
        </a>
    </span>
    {% if app.user is not null and 'ROLE_ADMIN' in app.user.roles %}
        <span>
        <a style="color:#5af9ff" href="{{ path('admin') }}"
           onmouseover="showTip(this, 'Panneau d\'admin', 'Gestion du site (joueurs, news, ...)');"
           onmouseout="hideTip()">
            Administration
        </a>
    </span>
    {% endif %}
    {#
    <span>
        <a style="color:#41ff3a" href="{{ path('debugGeneration') }}" onmouseover="showTip(this, 'Deck Generation', 'Affiche un deck aléatoire');" onmouseout="hideTip()">Deck debug</a>
    </span>
    #}
    {#
    <span>
        <a href="/user/ban" onmouseover="showTip(this,'Accès modérateur', 'Tout ce qu\'il faut pour bannir son prochain.');" onmouseout="hideTip()">Bans</a>
    </span>
    #}
    {#
    <span>
        <a href="/news/mNews" onmouseover="showTip(this,'Accès modérateur', 'Tout ce qu\'il faut pour faire des news.');" onmouseout="hideTip()">News</a>
    </span>
    #}
</div>